View Issue Details

IDProjectCategoryView StatusLast Update
0001710Industrial-Craft²crossmod-compatibility / submodules / APIpublic2015-09-11 10:31
ReporterDarkos333Assigned ToAroma1997 
PrioritynormalSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001710: Config file missing option to manually set Potion ID of ic2.potion.radiation.
DescriptionNot much a bug itself, but rather lack of very essential feature.
Currently there is no config option for manually setting Potion ID of ic2.potion.radiation effect.
Absence of such feature may lead to inability of manually solving Potion ID conflicts.
TagsNo tags attached.
Minecraft Version

Activities

Chocohead

2015-08-28 16:19

developer   ~0004132

It's set right after the end of the vanilla potions (24), all the other mods I've seen have at least a one or two ID gap. I guess theoretically another mod without a config could conflict, but it won't normally crash without a mod forcing it like DragonAPI or AntiIDConflict.

Darkos333

2015-08-29 10:10

reporter   ~0004133

Im sorry, but I dont get your point.
Just because something isn't causing crash, doesnt mean it works fine.
When one of your mods has such ID hardcoded, its not a problem YET, but its halfway to be a problem. Something definitely worth solving before it becomes real mess - which actually happened to me.
The funny thing in whole story is that the second mod which has conflict - causes it because it has implemented some sort of anti-IDconflict procedure, which fail to do its task because of mods loading order. Sadly mod author coded it in a way that causes mod to ignore potion ID settings from its own config. I have already told him about this issue and he will fix this in next update - but thats not the point here.
The point of this story is: Things like that actually happen - so why not spend 2 mins on coding to disarm the mine, solving the problem once and for all?

Chocohead

2015-08-29 12:18

developer   ~0004134

It may happen but no one's ever complained about it before. Potion IDs were always an untrodden minefield as mods just didn't add potions.

Aroma1997

2015-08-30 17:07

developer   ~0004137

I actually have to agree with Darkos333.
It may not yet be a problem, but it's better to be prepared.
It won't even take more than 2 minutes.

Issue History

Date Modified Username Field Change
2015-08-28 15:31 Darkos333 New Issue
2015-08-28 16:19 Chocohead Note Added: 0004132
2015-08-29 10:10 Darkos333 Note Added: 0004133
2015-08-29 12:18 Chocohead Note Added: 0004134
2015-08-30 17:07 Aroma1997 Note Added: 0004137
2015-08-30 17:07 Aroma1997 Assigned To => Aroma1997
2015-08-30 17:07 Aroma1997 Status new => confirmed
2015-09-11 10:31 Aroma1997 Status confirmed => resolved
2015-09-11 10:31 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2015-09-11 10:31 Aroma1997 Resolution open => fixed